$(document).ready(function(){
	var ctx = $("#ctx").val();//获取服务器地址
	
	/***************************    素材审核列表页    ***************************/

 	//状态全部、开启、停用
 	if($("#status").val() == 0 || $("#status").val() == ""){
 		$("#selectBar_status a:first").addClass("selectBar_change");
	}
 	$("#selectBar_status a").each(function(){
 		var value = $(this).attr("value");
 		if($("#status").val() == value){
 			$(this).addClass("selectBar_change").siblings('.selectBar_change').removeClass('selectBar_change');
 		}
 	});
 	$("#selectBar_status a").click(function(){
 		$("#status").val($(this).attr("value"));
 		refreshData();
 	});
 
	//通过，或不通过
	$("#btn-pass,#btn-unpass").click(function(){
		var url = "";var type = "";
		if($(this).attr("id") == "btn-pass"){
			url = ctx+"/operator/main/banner-audit/pass";
			type = "pass";
		}else if($(this).attr("id") == "btn-unpass"){
			url = ctx+"/operator/main/banner-audit/reject";
			type = "unpass";
		}
		singlePassOrUnpassOper($(this),url,type);
	});
			
	//批量通过，或不通过
	$("#all-btn-pass,#all-btn-unpass").click(function(){
		var url = "";var type = "";
		if($(this).attr("id") == "all-btn-pass"){
			url = ctx+"/operator/main/banner-audit/pass";
			type = "pass";
		}else if($(this).attr("id") == "all-btn-unpass"){
			url = ctx+"/operator/main/banner-audit/reject";
			type = "unpass";
		}
		batchPassOrUnpassOper($(this),url,type);
	});
	
});
